/*
 * Copyright (c) 1998-2007 TeamDev Ltd. All Rights Reserved.
 * Use is subject to license terms.
 */

function q_SelectRequiredValidator(summary, detail) {
  this.summary = summary;
  this.detail = detail;
}

q_SelectRequiredValidator.prototype.validate = function(input) {
  var radioButtonLayoutTable = input;
  var inputs = radioButtonLayoutTable.getElementsByTagName("input");
  var valid = false;
  if (inputs && inputs.length > 0) {
    for (var i = 0; i < inputs.length; i++)
    {
      if (inputs[i].checked == true)
      {
        valid = true;
        break;
      }
    }
  }
  if (!valid)
    q_addMessage(input, this.summary, this.detail);
  return valid;

}
